
%define __libtoolize    /bin/true


%if %mdkversion == 1020
%define unstable 1
%else
%define unstable 0
%endif



Summary:	This is the Mandrakelinux implementation of the KDE Login Manager(KDM).
Name:		mdkkdm
Version:	10.1
Release:	22mdk
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			%name-%{version}.tar.bz2


BuildRoot:		%_tmppath/%name-%version-%release-root
BuildRequires:	kdelibs-devel >= 3.1
BuildRequires:	libarts-devel pam-devel
BuildRequires:	freetype2-devel
BuildRequires:	gcc-c++

BuildRequires:  autoconf2.5, automake >= 1.7

Requires:		initscripts >= 7.04-3mdk

Provides:		kdm
Requires:		kdebase-kdm-config-file
Requires:		kdm-logo	

%description 
This is the Mandrakelinux implementation of the KDE Login Manager(KDM). It
allows users to log into a computer running the X Window System and functions as
a X Display Manager allowing multiple X sessions.  It is based on QT which
allows theming of the login display with the supplied themes or your own custom
themes.

%prep

%setup -q
find . -type 'd' -name 'CVS' | xargs rm -fr


%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure \
%if %unstable
            --enable-debug=full \
%else
            --disable-debug \
%endif
		--enable-final \
		--with-xinerama \
		--disable-rpath \
		--enable-mt \
		--with-pam=kde3 

%make


%install
rm -rf %buildroot

%makeinstall_std
%{find_lang} %{name}


rm -rf %buildroot/%_datadir/apps/kdm/pics/
rm -rf %buildroot/%_datadir/config/kdm/*
rm -rf %buildroot/%_datadir/wallpapers/kdm_bg.jpg


%clean
rm -fr %buildroot

%post
%make_session


%files -f %{name}.lang
%defattr(-,root,root)
#
#
%_bindir/*


%changelog
* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-22mdk
- Add description/summary from rjcooks@yahoo.com

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-21mdk
- Bye-bye %%buildfor

* Mon Oct 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-20mdk
- Requires kdm-logo

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-19mdk
- Fix call SetupDisplay in autologin mode (Fred Lepied patch thanks)

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-18mdk
- Fix select type section

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-17mdk
- Clean code

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-16mdk
- Test unique user page

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-15mdk
- Minor clean

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-14mdk
- Fix test

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-13mdk
- Use enum for test if we have multi user

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-12mdk
- Fix secure

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-11mdk
- Fix when we have one user

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-10mdk
- Add variable to define when we want to debug or not mdkkdm

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-9mdk
- Fix when we have just one name

* Fri Jul 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-8mdk
- Fix reboot button name

* Wed Jun 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-7mdk
- Clean code

* Wed Jun 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-6mdk
- Refactorize code

* Wed Jun 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-5mdk
- Sync bdgrender code from kdebase

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 10.1-4mdk
- Rebuild

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-3mdk
- Fix buildrequires

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-2mdk
- Fix text size

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-1mdk
- Sync krootimage from kdm

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-24mdk
- Fix compile under ppc

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-23mdk
- Fix compile under ppc

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-22mdk
- Use %%configure

* Thu Mar 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-21mdk
- Fix MDK logo

* Wed Mar 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-20mdk
- Force to regenerate chksession

* Mon Mar 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-19mdk
- Don't display reboot page when we use grub

* Wed Mar 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-18mdk
- s/9.2/10.0

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-17mdk
- "reset input focus on greeter exit."

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-16mdk
- Fix when session doesn't exist

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-15mdk
- Don't sort session
- Use session generated by chksession

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-14mdk
- Update po file

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-13mdk
- Rebuild

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-12mdk
- Release major, mdkkdm works:
	-> sync with KDM
	-> use same session that kdm (kdm/session/*.desktop)
	-> use CRTL+ALT+Delete => go to reboot page
	-> Fix session type combobox
	-> Use same lilo code that KDM
	-> Fix reboot when we use passwd
	-> Remove unused code
	-> Clean code
	-> use rebootin
	-> fix focus
	-> fix enable-final
	
* Tue Oct 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-11mdk
- Update

* Thu Oct 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-10mdk
- Fix 

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-9mdk
- Fix mdkdkm

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-8mdk
- Update po file

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-7mdk
- Fix layout

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-6mdk
- Rebuild po file

* Sun Sep 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-5mdk
- Update po file
- Fix french po file

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-4mdk
- Fix from kdm code

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-3mdk
- Update from kdm

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-2mdk
- Fix high security layout
- Update po file

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-1mdk
- change version number
- update po file

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-35mdk
- Fix translation
- Update po file

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-34mdk
- Now we can really use mdkkdm.po

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-33mdk
- Update po, add fr.po

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-32mdk
- Fix Display Error Page
- Remove patch

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-31mdk
- Fix Error page

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-30mdk
- Fix source

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-29mdk
- security fix

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-28mdk
- Fix requires

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-27mdk
- Fix buildrequires

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-26mdk
- Update 

* Mon Mar 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-25mdk
- Fix rebootin

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-24mdk
- Try to fix rebootin

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-23mdk
- Fix compile
- Fix reboot when we click on item

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-22mdk
- Fix reboot info ( I hope )

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-21mdk
- Update code 

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-20mdk
- Update code ( fix back button position )

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-19mdk
- Fix kdm logo.

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-18mdk
- Fix layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-17mdk
- Fix password page

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-16mdk
- Fix password page layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-15mdk
- Fix button name

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-14mdk
- Fix layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-13mdk
- Update code : Use new mdk kdm logo

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-12mdk
- Update code ( fix layout)

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-11mdk
- Fix compile under ppc

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-10mdk
- Remove duplicate code, Bug fix

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-9mdk
- Update code fix login

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-8mdk
- Add provides kdm

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-7mdk
- Add truncate function

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-6mdk
- Fix layout

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-5mdk
- Fix : use rebootin programm.

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-4mdk
- Add patch1 : fix reboot option ( patch from kdebase I hate duplicate code)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Rename kdm -> mdkkdm

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- initial package

